[package]
name = "ai"
version = "0.1.0"
edition = "2024"
homepage = "https://github.com/djnovin/ai"
repository = "https://github.com/djnovin/ai"

[lints.rust]
unsafe_code = "forbid"
# unused = { level = "allow", priority = -1 } # For exploratory dev.
# missing_docs = "warn"

[dependencies]
anyhow = "1.0.98"
chrono = "0.4.41"
config = "0.15.11"
dotenvy = "0.15.7"
http = "1.3.1"
mockito = "1.7.0"
once_cell = "1.21.3"
qdrant-client = "1.14.0"
regex = "1.11.1"
reqwest = { version = "0.12.15", features = ["json", "blocking"] }
serde = { version = "1.0.219", features = ["derive"] }
serde_json = "1.0.140"
sqlx = { version = "0.8.6", features = [
    "runtime-tokio",
    "postgres",
    "uuid",
    "json",
    "tls-rustls",
] }
thiserror = "2.0.12"
tiktoken-rs = "0.7.0"
tokio = { version = "1.45.0", features = ["full"] }
tonic = "0.13.1"
tracing = "0.1.41"
tracing-subscriber = "0.3.19"
unkey = "0.6.0"
uuid = { version = "1.17.0", features = ["v4"] }
validator = { version = "0.20.0", features = ["derive"] }
vercel_runtime = "1.1.4"

[[bin]]
name = "commit"
path = "api/commit.rs"
